FreeMat

- Main Page
- Related Pages

vtkImageFourierCenter

Section: Visualization Toolkit Imaging Classes

# Usage

Is used for dispaying images in frequency space. FFT converts spatial images into frequency space, but puts the zero frequency at the origin. This filter shifts the zero frequency to the center of the image. Input and output are assumed to be doubles.

To create an instance of class vtkImageFourierCenter, simply invoke its constructor as follows

      obj = vtkImageFourierCenter

# Methods

The class vtkImageFourierCenter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageFourierCenter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageFourierCenter = obj.NewInstance ()`
- `vtkImageFourierCenter = obj.SafeDownCast (vtkObject o)`